Bug 882211 - DNF to show packages which have a higher version available but can not be updated (e.g for dependency reasons)
DNF to show packages which have a higher version available but can not be upd...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
18
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-30 07:06 EST by Ales Kozumplik
Modified: 2014-09-30 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: dnf-0.2.20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-25 05:47:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Kozumplik 2012-11-30 07:06:45 EST
Description of problem:

'dnf upgrade' behaves similarly to 'yum upgrade --skip-broken', that is the user is not informed if there are packages with broken PRCOs or missing dependencies. This feature can be desirable e.g. for package maintainers testing the installability of their packages.
Comment 1 Ales Kozumplik 2012-11-30 07:09:36 EST
Wild ideas of implementing this:

a) revert in this case to the old 'dnf upgrade' mechanism that simply looked for all latest available versions and tried to install them. (this would be resolving twice if that should happen as a part of the standard 'dnf upgrade' --- very undesirable).

b) find a way to make libsolv tell us why it didn't decide to update a particular package with an available update. (might be possible already, not possible at all (esp. with much detail) or just not yet possible).
Comment 2 Ales Kozumplik 2012-11-30 07:12:34 EST
Also see bug 872948 for related discussion.
Comment 3 Michael Schröder 2012-12-05 11:27:58 EST
That's basically what the SOLVER_FORCEBEST flag is about: It tells the solver to insist on the best package.

FORCEBEST can be used with install/update/distupgrade jobs.
Comment 4 Ales Kozumplik 2012-12-06 03:21:37 EST
(In reply to comment #3)
> That's basically what the SOLVER_FORCEBEST flag is about: It tells the
> solver to insist on the best package.
> 
> FORCEBEST can be used with install/update/distupgrade jobs.

Ah cool, thank you!!
Comment 5 Ales Kozumplik 2012-12-14 04:32:30 EST
From the git log it looks FORCEBEST was only implemented recently in libsolv, commit 96275a1, so I either first have to rebase the F18 libsolv or defer this (and other fixes) to the F19 development cycle.
Comment 6 Ales Kozumplik 2013-01-07 10:14:30 EST
DNF commit 83d3338 introduces the --best switch that forces the best available packages into the transaction, also documented at http://akozumpl.github.com/dnf/cli_vs_yum.html#no-skip-broken

Note You need to log in before you can comment on or make changes to this bug.